Loading...
Searching...
No Matches
SqlUtil::AbstractFunctionBase Class Reference

base class for function or objects with code More...

`#include <SqlUtil.qm.dox.h>`

Inheritance diagram for SqlUtil::AbstractFunctionBase:
[legend]

## Public Member Functions

| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed
bool | equal (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
string | getDropSql (*hash< auto > opt)
| returns a string that can be used to drop the function from the database
string | getNormalizedSource (string src)
| returns normalized source for comparisons
string | getType ()
| returns the type of object

## Public Attributes

string | name
| the name of the object
string | src
| the source of the object
string | type
| the type of object

## Protected Member Functions

abstract bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not

## Detailed Description

base class for function or objects with code

## Member Function Documentation

## constructor()

SqlUtil::AbstractFunctionBase::constructor | ( | string | n,
|  | string | n_type,
|  | string | n_src )

creates the object from the arguments passed

Parameters

  n | the name of the object
  n_type | the type of object
  n_src | the source of the object

## getDropSql()

string SqlUtil::AbstractFunctionBase::getDropSql | ( | *hash< auto > | opt | ) |

returns a string that can be used to drop the function from the database

Parameters

  opt | drop options (if supported by the driver and object); in this generic base class method, this argument is ignored